From 42245202d6af6fd9a3a1a018c48d1ea4ffd56dbc Mon Sep 17 00:00:00 2001
From: David Christensen <david.christensen@crunchydata.com>
Date: Wed, 16 Aug 2023 15:04:02 -0400
Subject: [PATCH v2 2/3] Add wrapper for tokenizing the whole repo

---
 src/tools/replace_blcksz_repo | 13 +++++++++++++
 1 file changed, 13 insertions(+)
 create mode 100755 src/tools/replace_blcksz_repo

diff --git a/src/tools/replace_blcksz_repo b/src/tools/replace_blcksz_repo
new file mode 100755
index 0000000000..7e122eed2c
--- /dev/null
+++ b/src/tools/replace_blcksz_repo
@@ -0,0 +1,13 @@
+#!/bin/bash -e
+
+# Wrapper for refreshing all of the files in the repo This is separate from the
+# replace_blcksz script itself since we may want to individually use that on
+# patch files or other non-repo externalities. This is the interface for batch
+# updating and should wrap the logic for files which should be excluded, etc.
+
+cd $(git rev-parse --show-toplevel)
+git checkout .
+
+perl -i src/tools/replace_blcksz $(git ls-files | egrep -v 'configure|meson|replace_blcksz|pg_config.h.in')
+perl -i -lpe 'print "#define cluster_block_size BLCKSZ" if /endif.*POSTGRES_EXT_H/' src/include/postgres_ext.h
+
-- 
2.39.2

